aboutsummaryrefslogtreecommitdiff
path: root/test/lint/lint-spelling.sh
diff options
context:
space:
mode:
authorSebastian Falbesoner <sebastian.falbesoner@gmail.com>2021-01-01 23:29:47 +0100
committerSebastian Falbesoner <sebastian.falbesoner@gmail.com>2021-01-02 19:06:28 +0100
commitf3ba916e8b5b5ee2a381cef38882671eadb231df (patch)
tree8d907355723dfc1528b9d3b25eb7053838244a4c /test/lint/lint-spelling.sh
parentda289a6c4a0a5e110e301f34f1db57b6d31bcdcc (diff)
downloadbitcoin-f3ba916e8b5b5ee2a381cef38882671eadb231df.tar.xz
lint: ignore gitian keys file for spelling linter
Co-authored-by: Hennadii Stepanov <32963518+hebasto@users.noreply.github.com>
Diffstat (limited to 'test/lint/lint-spelling.sh')
-rwxr-xr-xtest/lint/lint-spelling.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/lint/lint-spelling.sh b/test/lint/lint-spelling.sh
index cb84727ba5..fbdf3c59c1 100755
--- a/test/lint/lint-spelling.sh
+++ b/test/lint/lint-spelling.sh
@@ -15,6 +15,6 @@ if ! command -v codespell > /dev/null; then
fi
IGNORE_WORDS_FILE=test/lint/lint-spelling.ignore-words.txt
-if ! codespell --check-filenames --disable-colors --quiet-level=7 --ignore-words=${IGNORE_WORDS_FILE} $(git ls-files -- ":(exclude)build-aux/m4/" ":(exclude)contrib/seeds/*.txt" ":(exclude)depends/" ":(exclude)doc/release-notes/" ":(exclude)src/leveldb/" ":(exclude)src/crc32c/" ":(exclude)src/qt/locale/" ":(exclude)src/qt/*.qrc" ":(exclude)src/secp256k1/" ":(exclude)src/univalue/"); then
+if ! codespell --check-filenames --disable-colors --quiet-level=7 --ignore-words=${IGNORE_WORDS_FILE} $(git ls-files -- ":(exclude)build-aux/m4/" ":(exclude)contrib/seeds/*.txt" ":(exclude)depends/" ":(exclude)doc/release-notes/" ":(exclude)src/leveldb/" ":(exclude)src/crc32c/" ":(exclude)src/qt/locale/" ":(exclude)src/qt/*.qrc" ":(exclude)src/secp256k1/" ":(exclude)src/univalue/" ":(exclude)contrib/gitian-keys/keys.txt"); then
echo "^ Warning: codespell identified likely spelling errors. Any false positives? Add them to the list of ignored words in ${IGNORE_WORDS_FILE}"
fi